Subject: Re: MPC8xx support in 2.6 and [PATCH] USB host controller selection...

From: Greg KH <[email-masked]>
Date: Fri, 28 Oct 2005 13:43:47 -0700

On Fri, Oct 28, 2005 at 01:21:09PM -0200, Marcelo Tosatti wrote:
> Greg, please refer to the end of the message.
> > - USB Kconfig file for 2.6 kernel is broken. It is not correct to assume that 
> > you either have a PCI interface or a processor with internal HCI. Proof: We 
> > have a board based on MPC852T (no internal UHCI) which can plug into an 
> > (optional) daughter board with a ISP1160 on it. See attached patch.

Then please send the proper patch to the linux-usb-devel mailing list.

> Is it driven by the UHCI driver?

It shouldn't be :)

> >From http://www.semiconductors.philips.com/cgi-bin/pldb/pip/isp1160.html
> 
> The ISP1160 is an embedded Universal Serial Bus (USB) Host Controller
> (HC) that complies with Universal Serial Bus Specification Rev. 2.0,
> supporting data transfer at full-speed (12 Mbit/s) and low-speed (1.5
> Mbit/s).

We already have a driver for this device in the kernel tree, right?

> > Maybe the patch should be sent elsewere since it has not much to do with PPC, 
> > so can someone please tell me where?
> 
> I guess that you should have something like
> 
> config USB_ARCH_HAS_HCD
> 	default y if USB_ARCH_HAS_OHCI
> 	default y if USB_ARCH_HAS_UHCI
> 
> config USB_ARCH_UHCI
> 	default y if 8xx
> 
> Greg?

I don't understand what you are trying to fix up here.  What is wrong
with the current checks?  If your arch/board has support for the 1160
and we have the Kconfig set wrong for that, we can easily change it.

thanks,

greg k-h